void relations_init()
{
	ref PChar = GetMainCharacter();

	// NK -->
	// set pirate
	trace("running qcase beg");
	SetNationRelationBoth(ENGLAND, PIRATE, RELATION_ENEMY);
	SetNationRelationBoth(PORTUGAL, PIRATE, RELATION_ENEMY);
	SetNationRelationBoth(HOLLAND, PIRATE, RELATION_ENEMY);
	SetNationRelationBoth(FRANCE, PIRATE, RELATION_ENEMY);
	SetNationRelationBoth(SPAIN, PIRATE, RELATION_ENEMY);

	// VERRUCKT MILITARY -->
	if (RANDOM_RELATIONS == 1) {
		SetNationRelationBoth(ENGLAND, SPAIN, rand(2));
		SetNationRelationBoth(ENGLAND, HOLLAND, rand(2));
		SetNationRelationBoth(ENGLAND, PORTUGAL, rand(2));
		SetNationRelationBoth(FRANCE, SPAIN, rand(2));
		SetNationRelationBoth(FRANCE, HOLLAND, rand(2));
		SetNationRelationBoth(FRANCE, PORTUGAL, rand(2));
		SetNationRelationBoth(SPAIN, HOLLAND, rand(2));
		SetNationRelationBoth(SPAIN, PORTUGAL, rand(2));
		SetNationRelationBoth(HOLLAND, PORTUGAL, rand(2));

		SetRMRelation(PChar, SPAIN, RelationToRMRelation(rand(2)));
		SetRMRelation(PChar, HOLLAND, RelationToRMRelation(rand(2)));
		SetRMRelation(PChar, PORTUGAL, RelationToRMRelation(rand(2)));
	} else {
		SetNationRelationBoth(ENGLAND, HOLLAND, RELATION_ENEMY);
		SetNationRelationBoth(FRANCE, HOLLAND, RELATION_ENEMY);
		SetNationRelationBoth(SPAIN, HOLLAND, RELATION_ENEMY);
		SetNationRelationBoth(ENGLAND, SPAIN, RELATION_ENEMY);
		SetNationRelationBoth(FRANCE, SPAIN, RELATION_FRIEND); // NK

		SetRMRelation(PChar, SPAIN, REL_AFTERATTACK); // RM
		SetRMRelation(PChar, HOLLAND, REL_AFTERATTACK); // RM
		SetRMRelation(PChar, PORTUGAL, REL_AMNESTY);
	}

	SetNationRelationBoth(ENGLAND, FRANCE, RELATION_ENEMY);
	SetRMRelation(PChar, ENGLAND, REL_AMNESTY);
	if (sti(PChar.nation) == PERSONAL_NATION && CharLocation == 0)
		SetRMRelation(PChar, FRANCE, REL_AFTERATTACK); // TIH set to rel_afterattack, was "REL_WAR + 1." Nov2'06
	else
		SetRMRelation(PChar, FRANCE, REL_WAR);
	SetRMRelation(PChar, PIRATE, REL_WAR);
	// VERRUCKT MILITARY <--

	if (ENABLE_FLAGS == 1) {
		LooseLetterOfMarque(ENGLAND);
		LooseLetterOfMarque(FRANCE);
		LooseLetterOfMarque(SPAIN);
		LooseLetterOfMarque(HOLLAND);
		LooseLetterOfMarque(PORTUGAL);

		SetActualRMRelation(ENGLAND, GetRMRelation(PChar, ENGLAND));
		SetActualRMRelation(FRANCE, GetRMRelation(PChar, FRANCE));
		SetActualRMRelation(SPAIN, GetRMRelation(PChar, SPAIN));
		SetActualRMRelation(PIRATE, GetRMRelation(PChar, PIRATE));
		SetActualRMRelation(HOLLAND, GetRMRelation(PChar, HOLLAND));
		SetActualRMRelation(PORTUGAL, GetRMRelation(PChar, PORTUGAL));
	}
	UpdateRelations();
}
